// Mocks generated by Mockito 5.0.2 from annotations
// in classic_blue_flutter_app/test/access_flow.dart.
// Do not manually edit this file.

import 'package:classic_blue_flutter_app/dependency_wrapper/native_screenshot_wrapper.dart'
    as _i3;
import 'package:http/src/client.dart' as _i2;
import 'package:mockito/mockito.dart' as _i1;

// ignore_for_file: comment_references
// ignore_for_file: unnecessary_parenthesis

/// A class which mocks [Client].
///
/// See the documentation for Mockito's code generation for more information.
class MockClient extends _i1.Mock implements _i2.Client {
  MockClient() {
    _i1.throwOnMissingStub(this);
  }
}

/// A class which mocks [NativeScreenshotWrapper].
///
/// See the documentation for Mockito's code generation for more information.
class MockNativeScreenshotWrapper extends _i1.Mock
    implements _i3.NativeScreenshotWrapper {
  MockNativeScreenshotWrapper() {
    _i1.throwOnMissingStub(this);
  }
}
